Module java.corba
Package org.omg.CORBA.portable

## Interface ValueInputStream

    public interface ValueInputStream

Java to IDL ptc 02-01-12 1.5.1.4 ValueInputStream is used for implementing RMI-IIOP stream format version 2.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `end_value()` The end_value method reads the end tag for the nested custom valuetype (after skipping any data that precedes the end tag) and decrements the valuetype nesting depth.
`void` `start_value()` The start_value method reads a valuetype header for a nested custom valuetype and increments the valuetype nesting depth.

### Method Detail

#### start_value

    void start_value()

The start_value method reads a valuetype header for a nested custom valuetype and increments the valuetype nesting depth.

#### end_value

    void end_value()

The end_value method reads the end tag for the nested custom valuetype (after skipping any data that precedes the end tag) and decrements the valuetype nesting depth.